Bug 519767 - mkdumprd fails for raid6
Summary: mkdumprd fails for raid6
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kexec-tools
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Neil Horman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-27 18:31 UTC by Michael Breuer
Modified: 2010-12-05 06:32 UTC (History)
1 user (show)

Fixed In Version: 2.0.0-13.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:32:31 UTC
Type: ---


Attachments (Terms of Use)
corrected patch (501 bytes, patch)
2009-08-27 19:00 UTC, Neil Horman
no flags Details | Diff
Patch for f12 version (325 bytes, patch)
2009-11-27 22:26 UTC, Michael Breuer
no flags Details | Diff

Description Michael Breuer 2009-08-27 18:31:32 UTC
Description of problem:

findmodule function in mkdumprd fails to find raid6 - should be looking for raid456

Version-Release number of selected component (if applicable):
kexec-tools.x86_64 0:2.0.0-12.fc11

Additional info:
This patch works... might be a better way.
Note: my boot device is on raid 1; rest of the system on lvm on software raid6.

*** mkdumprd	2009-08-27 14:19:36.259295964 -0400
--- mkdumprd.sav	2009-04-07 10:03:58.000000000 -0400
***************
*** 188,196 ****
  	findmodule ieee1394
  	findmodule ohci1394
  	modName="sbp2"
-     elif [ "$modName" = "raid6" ]; then
- 	findmodule raid456
- 	modName="raid456"
      else
  	moduledep $modName
  	for i in $deps; do
--- 188,193 ----
***************
*** 337,343 ****
  
  handleraid() {
      local start=0
! set -x
      if [ -n "$noraid" -o ! -f /proc/mdstat ]; then
          return 0
      fi
--- 334,340 ----
  
  handleraid() {
      local start=0
! 
      if [ -n "$noraid" -o ! -f /proc/mdstat ]; then
          return 0
      fi

Comment 1 Neil Horman 2009-08-27 18:43:58 UTC
yeah, seems reasonable, thanks!

Comment 2 Neil Horman 2009-08-27 19:00:56 UTC
Created attachment 358945 [details]
corrected patch

Actually, I think this is what you meant to submit.  Can you confirm?

Comment 3 Michael Breuer 2009-08-27 19:07:56 UTC
oops - yes, that's correct.

Comment 4 Fedora Update System 2009-08-27 20:08:56 UTC
kexec-tools-2.0.0-13.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kexec-tools-2.0.0-13.fc11

Comment 5 Fedora Update System 2009-08-28 22:00:06 UTC
kexec-tools-2.0.0-13.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Michael Breuer 2009-11-27 22:25:47 UTC
Looks like this patch was dropped from fc12.
kexec-tools-2.0.0-28.fc12.x86_64

Attaching a patch for this version.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 7 Michael Breuer 2009-11-27 22:26:56 UTC
Created attachment 374314 [details]
Patch for f12 version

Comment 8 Bug Zapper 2010-11-04 10:20:13 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2010-12-05 06:32:31 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.